%define upstream_name    enum
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Resemble enumerated types in C
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch
Provides:   perl(enum)

%description
Defines a set of symbolic constants with ordered numeric values ala *C*
*enum* types.

Now capable of creating creating ordered bitmask constants as well. See the
*BITMASKS* section for details.

What are they good for? Typical uses would be for giving mnemonic names to
indexes of arrays. Such arrays might be a list of months, days, or a return
value index from a function such as localtime():

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.120.0-3.mga10
+ Revision: 2207270
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.120.0-2.mga9
+ Revision: 1814841
- Mageia 9 Mass Rebuild

* Thu Aug 05 2021 tv <tv> 1.120.0-1.mga9
+ Revision: 1739518
- update to 1.12

* Wed Feb 12 2020 umeabot <umeabot> 1.110.0-4.mga8
+ Revision: 1494451
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.110.0-3.mga7
+ Revision: 1267854
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.110.0-2.mga6
+ Revision: 1026926
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 1.110.0-1.mga6
+ Revision: 924088
- update to 1.11

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-3.mga5
+ Revision: 748988
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-2.mga5
+ Revision: 687026
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 sander85 <sander85> 1.100.0-1.mga5
+ Revision: 664740
- update to 1.10

* Mon May 26 2014 sander85 <sander85> 1.90.0-1.mga5
+ Revision: 626809
- update to 1.09

* Tue May 06 2014 jquelin <jquelin> 1.80.0-1.mga5
+ Revision: 620812
- update to 1.08

* Tue Apr 15 2014 jquelin <jquelin> 1.70.0-1.mga5
+ Revision: 614569
- update to 1.07

* Mon Feb 17 2014 jquelin <jquelin> 1.60.0-1.mga5
+ Revision: 593801
- update to 1.06

* Sat Oct 19 2013 umeabot <umeabot> 1.50.0-2.mga4
+ Revision: 534066
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 1.50.0-1.mga4
+ Revision: 476193
- update to 1.05

* Sun Jan 13 2013 umeabot <umeabot> 1.16.0-2.mga3
+ Revision: 375443
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 26 2012 jquelin <jquelin> 1.16.0-1.mga2
+ Revision: 215112
- imported package perl-enum


* Sun Feb 26 2012 cpan2dist 1.016-1mga
- initial mageia release, generated with cpan2dist
